<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by org.testng.reporters.JUnitXMLReporter -->
<testsuite hostname="89a9f88d3d12" name="API Tests" tests="45" failures="0" timestamp="29 Jan 2018 11:57:35 GMT" time="5.449" errors="0">
  <testcase name="testBlacklistApplications" time="0.224" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testChangeLockCode" time="0.004" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testConfigureCamera" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testConfigureDeviceLock" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testConfigureDeviceUnlock" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testConfigureVPN" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testConfigureWifi" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testEncryptStorage" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testGetApplications" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testGetDeviceInformation" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testGetDeviceLocation" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testGetDeviceLogcat" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testInstallApplication" time="2.669" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testMuteDevice" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testRebootDevice" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testRemovePassword" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testRingDevice" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testSendNotification" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testSetPasswordPolicy" time="0.006" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testSetWebClip" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testUninstallApplicationPublic" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testUninstallApplicationWebApp" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testUpdateApplication" time="1.771" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testUpgradeFirmware" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testWipeData" time="0.003" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testWipeDevice" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementAdminServiceTests"/>
  <testcase name="testDisEnrollDeviceSuccess" time="0.041" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testDisenrollUnSuccess" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testEnrollDeviceUnSuccess" time="0.008" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testEnrollDeviceWithLocationSuccess" time="0.022" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testEnrollDeviceWithoutLocationSuccess" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsForNullDevice" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsInvalidDevice" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsNullResponse" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsWithApplicationResponse" time="0.045" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsWithDeviceInfoResponse" time="0.064" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsWithErrorResponse" time="0.004" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsWithInProgressResponse" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testGetPendingOperationsWithMonitorResponse" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testIsEnrolledExists" time="0.0" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testIsEnrolledNonExist" time="0.0" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testIsEnrolledNull" time="0.0" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testModifyEnrollmentSuccess" time="0.0" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testModifyEnrollmentUnSuccess" time="0.001" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
  <testcase name="testUpdateApplicationList" time="0.002" classname="org.wso2.carbon.mdm.services.android.DeviceManagementServiceTests"/>
</testsuite> <!-- API Tests -->
